---
table:
  name: users
  class: usersClass

  fields:
  - name: name
    type: varchar(64)
    required: true

  - name: email
    type: varchar(128)
    required: true

  - name: uname
    type: '@cuser'

  - name: upass
    type: varchar(65)
    required: true

  - name: cdate
    type: '@cdate'

  - name: active
    type: boolean
    default: false

  - name: expired
    type: boolean
    default: true

  - name: wrongpasscount
    type: smallint
    default: 0

  - name: roles
    type: '@guid'
...
